Subject: Re: recursive nosedive in gcc/make,configure:solution
From: [email-masked]

12 Jun 1997 19:43:54 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi Geoffrey, you wrote:

: Tom wrote:
: [...]
: > NOTE:::::the b18 release wont work with the old dll. find it, kill it,
: > try again!
: 
: This is certainly true.  As we add to the cygwin.dll, old executables
: will continue to work (unless we have to make an incompatible change
: sometime in the future which we'll try very hard to avoid) with the new
: cygwin.dll.  New executables may depend on features not present in
: older cygwin.dlls and are not guaranteed to work although they might.

Yes. With PATH pointing to b18, the shortcut to b17.1 bash still worked,
but you get endless errors starting bash again, this time b18 from PATH!

: > the old dll is ~4mb, the new .5mb.
: 
: beta 18 cygwin.dll doesn't contain debugging information which is
: why it's so much smaller.  The other sections are almost certainly larger
: rather than smaller.

So I can no longer debug cygwin without recompiling (fgets() in a forked
child on a socket passed down from the parent shouldn't return NULL).

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".